/* GENERAL */

@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: "PT Sans", sans-serif;
    max-width: 100%;
    overflow-x: hidden;
}

html {
    scroll-behavior: smooth;
}

p {
    color: rgb(85, 85, 85);
}

/* TRANSITION */

a, .btn {
    transition: all 300ms ease;
}

/* DESKTOP NAV */

nav, 
.nav-links {
    display: flex;
    /* overflow: hidden;  **This caused the list to hide if it overflowed more than 17vh** */
}

nav {
    justify-content: space-around;
    align-items: center;
    height: 17vh;
}

.nav-links {
    gap: 2rem;
    list-style: none;
    font-size: 1.5rem;
}

a {
    color: black;
    text-decoration: none;
    text-decoration-color: white;
}

a:hover {
    color: grey;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-color: rgb(181, 181, 181);
}

.logo {
    font-size: 2rem;
}

.logo:hover {
    cursor: default;
}

/* HAMBURGER NAV */

#hamburger-nav {
    display: none;
}

.hamburger-menu {
    position: relative;
    display: inline-block;
}

.hamburger-icon {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 30px;
    cursor: pointer;
}

.hamburger-icon span {
    width: 100%;
    height: 2px;
    background-color: black;
    transition: all 0.3 ease-in-out;
}

.menu-links {
    position: absolute;
    top: 100%;
    right: 0;
    background-color: white;
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3 ease-in-out;
}

.menu-links a {
    display: block;
    padding: 10px;
    text-align: center;
    font-size: 1.5rem;
    color: black;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}

.menu-links li {
    list-style: none;
}

.menu-links.open {
    max-height: 300px;
}

.hamburger-icon.open span:first-child {
    transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
    opacity: 0;
}

.hamburger-icon.open span:last-child {
    transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
    transform: none;
}

.hamburger-icon span:first-child {
    opacity: 1;
}

.hamburger-icon span:first-child {
    transform: none;
}

/* SECTIONS */

section {
    padding-top: 4vh;
    height: fit-content;
    margin: 0 10rem;
    box-sizing: border-box;
    min-height: 96vh;
}

.section-container {
    display: flex;
}

#profile {
    display: flex;
    justify-content: center;
    gap: 5rem;
    height: 80vh;
    background-image:radial-gradient(50% 50% at center, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1)), url("./assets/profile-bg.jpg");
    background-size: cover;
    height: 480px;
    padding-top: 80px;
}

.bio-container {
    margin-top: 5rem;
}

.bio-container > small {
    color: grey;
    font-size: 17px;
}

.section__pic-container {
    display: flex;
    height: 400px;
    width: 400px;
    margin: auto 0;
}

/* .section__pic-container > img {
    filter: drop-shadow(10px 10px 4px rgb(192,192,192));
} */

.section__text {
    align-self: center;
    text-align: center;
}

.section__text h2 {
    margin-bottom: 1rem;
    color: rgb(95, 95, 95);
}

.section__text p {
    font-weight: 600;
}

.section__text__p1 {
    text-align: center;
}

.section__text__p2 {
    font-size: 1.75rem;
    margin-bottom: 1rem;
}

.title {
    font-size: 3rem;
    text-align: center;
}

#socials-container {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    gap: 1rem;
}

.icon {
    cursor: pointer;
    height: 2rem;
}

/* BUTTONS */

.btn-container {
    display: flex;
    justify-content: center;
    gap: 1rem;
    height: auto;
}

.btn {
    font-weight: 600;
    font-family: inherit;
    color: black;
    transition: all 300ms ease;
    border-radius: 2rem;
    width: max-content;
    height: 35px;
    padding-left: 10px;
    padding-right: 10px;
}

.btn-color-1,
.btn-color-2 {
    border: rgb(53, 53, 53) 0.1rem solid;
}

.btn-color-1:hover,
.btn-color-2:hover {
    cursor: pointer;
}

.btn-color-1,
.btn-color-2:hover {
    background: rgb(53, 53, 53);
    color: white;
}

.btn-color-1:hover {
    background: rgb(0, 0, 0);
}

.btn-color-2 {
    background: none;
}

.btn-color-2:hover {
    border: rgb(21, 21, 21) 0.1rem solid;
}

.btn-container {
    gap: 1rem;
}

/* ABOUT SECTION */

#about {
    position: relative;
}

.about-containers {
    gap: 2rem;
}

.about-details-container {
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
}

.about-containers, .about-details-container {
    display: flex;
}

.about-pic {
    border-radius: 2rem;
}

.arrow {
    position: absolute;
    right: -5rem;
    bottom: 2.5rem;
}

.details-container {
    padding: 1.5rem;
    flex: 1;
    background: white;
    border-color: rgb(163, 163, 163);
    text-align: center;
}

/* change child elements in a class */
.details-container > img {   
    height: 30px;
    width: 30px;
}

.section-container {
    gap: 4rem;
    height: 80%;
}

.section__pic-container {
    height: 400px;
    width: 400px;
    margin: auto 0;
}

/* POSITIONS SECTION */

#positions > .title {
    margin-bottom: 5rem;
}

.card-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: nowrap;
    align-items: flex-start;
    gap: 4rem; 
    text-align: center;
    margin-bottom: 2rem;
}

.position-container, .task-container {
    padding: 20px;
} 

.position-container > p{
    font-size: 19px;
    color: rgb(23, 81, 104);
    vertical-align: top;
}

.task-container {
    background-color: rgb(255, 255, 255);
    left: 50%;
    border: 1px solid;
    border-color: rgb(223, 223, 223);
    border-radius: 7px;
    padding-left: 40px;    
    text-align: left;
    width: 40%;
}

.project-link {
    height: 15px;
    width: 15px;
    transform: translate(-4px, 4px);
}

.task-container > p, .task-container > ul {
    color: rgb(135, 135, 135);
}

.task-container > h4 {
    margin-bottom: 0.5rem;
    color: rgb(135, 135, 135);
}

.task-container:hover {
    background-color: rgb(250, 250, 250);
    box-shadow: 5px 5px rgba(197, 229, 255, 0.5);
    transition: box-shadow 300ms ease;
}

.task-container:hover > p {
    color: rgb(23, 81, 104);
}

.task-container:hover > ul {
    color: rgb(0, 0, 0);
}

.task-container:hover .project-link {
    transform: translate(0, 0);
    transition: transform 500ms ease;
}

.task-container > p {
    font-size: 19px;
    font-weight: 800px;
}

.task-container > p:nth-child(2) {
    font-size: 17px;
    font-weight:400;
    margin-bottom: 1rem;
}

.task > li {
    /* list-style: circle; */
    font-size: 14px;
    margin-bottom: 10px;
}

.sub-task > li {
    margin-top: 3px;
    margin-left: 20px;
}

.skill-container {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
    margin-top: 1rem;
    flex-wrap: wrap;
}

.skill , .sskill {
    padding: 5px;
    border-radius: 25px;
    background-color: rgba(226, 226, 226, 0.46);
    font-size: 15px;
}

.skill > p {
    margin-left: 5px;
    margin-right: 5px;
    color: rgb(23, 81, 104);
}

.sskill > p {
    margin-left: 5px;
    margin-right: 5px;
    color: rgb(99, 50, 27);
}

.task-container:hover  > .skill-container > .skill {
    background-color: rgb(226, 235, 240);
}

.task-container:hover  > .skill-container > .sskill {
    background-color: rgb(240, 233, 226);
}

/* EXPERIENCE SECTION */

#experience {
    position: relative;
}

.experience-sub-title {
    color: rgb(85, 85, 85);
    font-weight: 600;
    font-size: 1.75rem;
    margin-bottom: 1rem;
}

.experience-details-container {
    display: flex;
    justify-content: center;
    padding: 5rem;
    flex-wrap: wrap;
    flex-direction: row;
}

.article-container {
    display: flex;
    text-align: justify;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 2.5rem;
    /* justify-content: space-around; */
}

.article {
    display: flex;
    width: 10rem;
    justify-content: space-around;
    gap: 0.5rem;
}

.article-icon {
    cursor: default;
}

/* PROJECTS SECTION */

#projects {
    position: relative;
}
  
.color-container {
    border-color: rgb(163, 163, 163);
    background: rgb(250, 250, 250);
}

.cube-sat {
    border-radius: 2rem;
    width: 50%;
    height: 69%;
}

.project-title {
    margin: 1rem;
    color: black;
}

.project-btn {
    color: black;
    border-color: rgb(163, 163, 163);
}

.button-container {
    margin-bottom: 75px;
}

.details-container {
    gap: 2rem
}

/* PRJ SECTION */

#prj {
    /* display: flex; */
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0px 0px;
    position: relative;
}

.project-filter {
    gap: 2rem;
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    /* margin-top: 20px; */
    /* border: 2px solid rgba(237, 237, 237, 0.9); */
    flex-wrap: wrap;
    margin: 20px;
}

.project-filter li {
    margin: 10px;
    padding: 5px 20px;
    /* color: #9b9b9b; */
    font-size: 1rem;
    letter-spacing: 1.5px;
    font-weight: 400;
    cursor: pointer;
    user-select: none;
}

.project-filter-active {
    /* background-color: #f0f0f0;
    color: #272727; */
    color: grey;
    text-decoration: underline;
    text-underline-offset: 0.5rem; 
    text-decoration-color: rgb(181, 181, 181);
}

.project-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    /* max-width: 1200px; */
    margin: auto;
}

.project-article {
    width: 330px;
    padding: 15px;
    margin: 20px;
    border: 1px solid #eeeeee;
    align-items: center;
    text-align: center;
}

.project-article > h2 {
    color: rgb(98, 98, 98);
    margin-bottom: 10px;
}

.card-link {
    height: 20px;
    width: 20px;
    transform: translate(-6px, 6px);
    opacity: 0.99;
}

.project-box {
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 5px;
}

.prj-btns {
    margin-top: 5px;
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    height: auto;
}

.multi-media {
    position: absolute;
    top: 100%;
    left: 100%;
    transform: translate(-100%, -100%);
    height: 60px;
    opacity: 50%;
    cursor: pointer;
}

.multi-media-button {
    /* display: none;
    position: absolute;
    top: 95%;
    left: 50%;
    transform: translate(-50%, -100%); */
    height: 40px;
    border-radius: 20px;
    width: 90px;
    opacity: 50%;
    color: black;
    transition: all 300ms ease;
    border: rgb(53, 53, 53) 0.1rem solid;
    font-family: inherit;
    cursor: pointer;
    margin: 20px;
}

#prj-base {
    position: relative;

}

#prj-info {
    display: none;
    position: absolute;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    text-align: center;
    margin: 10px;
    height: 80%;
    overflow-y:auto;
}

#blur-filter {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    opacity: 90%;
}

#prj-base:hover #blur-filter {
    display:block;
}

#prj-base:hover #prj-info {
    display: block;
}

.project-article:hover .card-link {
    transform: translate(0, 0);
    transition: transform 500ms ease;
}

/* #prj-base:hover .multi-media-button {
    display: block;
} */


/* CONTACT */

#contact {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 70vh;
  }
  
  .contact-info-upper-container {
    display: flex;
    justify-content: center;
    border-radius: 2rem;
    /* border: rgb(53, 53, 53) 0.1rem solid;
    border-color: rgb(163, 163, 163); */
    background: (250, 250, 250);
    margin: 0.5rem auto;
    padding: 0.5rem;
  }
  
  .contact-info-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    margin: 1rem;
  }
  
  .contact-info-container p {
    font-size: larger;
  }
  
  .contact-icon {
    cursor: default;
  }
  
  .email-icon {
    height: 2.5rem;
  }

  /* FOOTER SECTION */

footer {
    height: 26vh;
    margin: 0 1rem;
  }
  
  footer p {
    text-align: center;
    color: black;
    opacity: 50%;
  }

  
  